from datetime import date
from flask import Flask as _Flask
from flask.json import JSONEncoder as _JSONEncoder

# 重写default方法
from app.libs.error_code import ServerError
class JSONEncoder(_JSONEncoder):
    def default(self, o):
        if hasattr(o, 'key') and hasattr(o, '__getitem__'):
            return dict(o)
        if isinstance(o, date):
            return o.strftime('%Y-%m-%d')
        raise ServerError()
    
# 生效
class Flask(_Flask):
    json_encoder = JSONEncoder