from flask import json, Response
from werkzeug.exceptions import HTTPException

class APIException(HTTPException):
    message = '出错了'
    code = 999
    result = None

    def __init__(self, code=None, message=None, result=None):
        if code:
            self.code = code
        if message:
            self.message = message
        if result:
            self.result = result
        super(APIException, self).__init__(response=self.__make_response())
    
    def __make_response(self):
        r = {
            'result': self.result,
            'message': self.message,
            'code': self.code
        }
        response = Response(json.dumps(r), mimetype='application/json')
        return response
