from venv import create
from flask.json import jsonify
from app import create_app
from app.libs.error import APIException, HTTPException
from app.libs.error_code import ServerError
from wsgiref.simple_server import make_server

app = create_app()

@app.errorhandler(Exception)
def framework_error(e):
    if isinstance(e, APIException):
        return e
    if isinstance(e, HTTPException):
        message = e.description
        code = 1007
        return APIException(code, message)
    else:
        if not app.debug:
            return ServerError()
        else:
            raise e
        
if __name__ == '__main__':
    # 启动方式一 适用于本地开发
    app.run(debug=app.config['DEBUG'], host='0.0.0.0', port=5000)

    # 启动方式二 适用于生产部署
    # server = make_server('0.0.0.0', 5000, app)
    # server.serve_forever()